Package org.stianloader.micromixin.transform.internal.util

## Class MemberRenameMap

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.MemberRenameMap

-     public class MemberRenameMap
      extends java.lang.Object

  A MemberRenameMap stores the remapper state for class member renames. Targets include methods or fields. This class is different between the java releases as Java 6 does not support Map#getOrDefault or Map#putIfAbsent. To improve (potential) performance in the time-critical remapping process, Map#getOrDefault and Map#putIfAbsent are being used starting from Java 9 (earlier is not supported due to multi-release having been introduced with Java 9).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MemberRenameMap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `java.lang.String` | `get​(java.lang.String owner, java.lang.String descriptor, java.lang.String oldName)` |
    `java.lang.String` | `getOrDefault​(java.lang.String owner, java.lang.String descriptor, java.lang.String oldName, java.lang.String defaultValue)` |
    `java.lang.String` | `optGet​(java.lang.String owner, java.lang.String descriptor, java.lang.String oldName)` |
    `void` | `put​(java.lang.String owner, java.lang.String descriptor, java.lang.String name, java.lang.String newName)` |
    `void` | `putAllIfAbsent​(MemberRenameMap other)` |
    `void` | `remove​(java.lang.String owner, java.lang.String desc, java.lang.String name)` |
    `int` | `size()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemberRenameMap

          public MemberRenameMap()

  - ### Method Detail

    - #### clear

          public void clear()

    - #### get

          @Nullable
          public java.lang.String get​(@NotNull
                                      java.lang.String owner,
                                      @NotNull
                                      java.lang.String descriptor,
                                      @NotNull
                                      java.lang.String oldName)

    - #### getOrDefault

          @NotNull
          public java.lang.String getOrDefault​(@NotNull
                                               java.lang.String owner,
                                               @NotNull
                                               java.lang.String descriptor,
                                               @NotNull
                                               java.lang.String oldName,
                                               @NotNull
                                               java.lang.String defaultValue)

    - #### optGet

          @NotNull
          public java.lang.String optGet​(@NotNull
                                         java.lang.String owner,
                                         @NotNull
                                         java.lang.String descriptor,
                                         @NotNull
                                         java.lang.String oldName)

    - #### put

          public void put​(@NotNull
                          java.lang.String owner,
                          @NotNull
                          java.lang.String descriptor,
                          @NotNull
                          java.lang.String name,
                          @NotNull
                          java.lang.String newName)

    - #### remove

          public void remove​(@NotNull
                             java.lang.String owner,
                             @NotNull
                             java.lang.String desc,
                             @NotNull
                             java.lang.String name)

    - #### size

          public int size()

    - #### putAllIfAbsent

          public void putAllIfAbsent​(MemberRenameMap other)